# This file is part of dnmapper, an AS--level mapping tool
# Licensed under GNU General Public License v3 or later
# Written by Sebastian Lohff (seba@someserver.de)

from django.conf.urls import url, include

from bgpdata.api import ASResource, CrawlResource, CrawlGraphResource, BorderRouterResource, AnnouncementResource
from bgpdata import views as bgpdata_views

asResource = ASResource()
crawlResource = CrawlResource()
crawlGraphResource = CrawlGraphResource()
borderRouterResource = BorderRouterResource()
announcementResource = AnnouncementResource()

urlpatterns = (
    url(r'^$', bgpdata_views.overview),
    url(r'^([0-9]+)/$', bgpdata_views.showMap),
    url(r'^new/([0-9]+|live)/$', bgpdata_views.show_new_map),

    # url(r'^api/crawl/(?P<crawlID>\d+)/asses/$', 'bgpdata.api.asses'),
    # (r'^api/', include(asResource.urls)),
    url(r'^api/', include(asResource.urls)),
    url(r'^api/', include(crawlResource.urls)),
    url(r'^api/', include(crawlGraphResource.urls)),
    url(r'^api/', include(borderRouterResource.urls)),
    url(r'^api/', include(announcementResource.urls)),
)
